package ar.com.supervielle.wsdl.servicios.integracion.clienteprevisional_v1;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;
import javax.jws.soap.SOAPBinding;
import javax.xml.bind.annotation.XmlSeeAlso;

/**
 * This class was generated by Apache CXF 3.0.3
 * 2019-09-26T08:34:10.125-03:00
 * Generated source version: 3.0.3
 * 
 */
@WebService(targetNamespace = "http://www.supervielle.com.ar/wsdl/servicios/integracion/clientePrevisional-v1", name = "ClientePrevisionalPortType_v1")
@XmlSeeAlso({ar.com.supervielle.xsd.integracion.header_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.clienteprevisional.registrarfedevida_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.common.commontypes_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.clienteprevisional.obtenercpp_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.clienteprevisional.cambioestadocpp_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.clienteprevisional.consultacpp_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.transacciones.consultatransacciones_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.clienteprevisional.calculoingresos_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.clienteprevisional.consultafallecidos_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.clienteprevisional.consultabeneficios_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.clienteprevisional.consultafallecidos_v2.ObjectFactory.class, ar.com.supervielle.xsd.integracion.clienteprevisional.altaanticipohaberes_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.clienteprevisional.desbloqueocuenta_v1.ObjectFactory.class, ar.com.supervielle.xsd.servicios.integracion.exception_v1.ObjectFactory.class, ar.com.supervielle.xsd.integracion.clienteprevisional.consultafechacobro_v1.ObjectFactory.class})
@SOAPBinding(parameterStyle = SOAPBinding.ParameterStyle.BARE)
public interface ClientePrevisionalPortTypeV1 {

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/clientePrevisional-v1/feDeVida")
    public void registrarFeDeVida(
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "entrada", name = "ReqRegistrarFeDeVida", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/clientePrevisional/registrarFeDeVida-v1")
        ar.com.supervielle.xsd.integracion.clienteprevisional.registrarfedevida_v1.ReqRegistrarFeDeVida entrada,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespRegistrarFeDeVida", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/clientePrevisional/registrarFeDeVida-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.clienteprevisional.registrarfedevida_v1.RespRegistrarFeDeVida> salida
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/clientePrevisional-v1/consultaFallecidos")
    public void consultaFallecidos(
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "entrada", name = "ReqConsultaFallecidos", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/clientePrevisional/consultaFallecidos-v1")
        ar.com.supervielle.xsd.integracion.clienteprevisional.consultafallecidos_v1.ReqConsultaFallecidos entrada,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaFallecidos", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/clientePrevisional/consultaFallecidos-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.clienteprevisional.consultafallecidos_v1.RespConsultaFallecidos> salida
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/clientePrevisional-v1/altaAnticipoHaberes")
    public void altaAnticipoHaberes(
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "entrada", name = "ReqAltaAnticipoHaberes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/clientePrevisional/altaAnticipoHaberes-v1")
        ar.com.supervielle.xsd.integracion.clienteprevisional.altaanticipohaberes_v1.ReqAltaAnticipoHaberes entrada,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespAltaAnticipoHaberes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/clientePrevisional/altaAnticipoHaberes-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.clienteprevisional.altaanticipohaberes_v1.RespAltaAnticipoHaberes> salida
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/clientePrevisional-v1/consultaCPP")
    public void consultaCPP(
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "entrada", name = "ReqConsultaCPP", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/clientePrevisional/consultaCPP-v1")
        ar.com.supervielle.xsd.integracion.clienteprevisional.consultacpp_v1.ReqConsultaCPP entrada,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaCPP", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/clientePrevisional/consultaCPP-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.clienteprevisional.consultacpp_v1.RespConsultaCPP> salida
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/clientePrevisional-v1/calculoIngresos")
    public void calculoIngresos(
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "entrada", name = "ReqCalculoIngresos", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/clientePrevisional/calculoIngresos-v1")
        ar.com.supervielle.xsd.integracion.clienteprevisional.calculoingresos_v1.ReqCalculoIngresos entrada,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespCalculoIngresos", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/clientePrevisional/calculoIngresos-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.clienteprevisional.calculoingresos_v1.RespCalculoIngresos> salida
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/clientePrevisional-v1/obtenerCPP")
    public void obtenerCPP(
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "entrada", name = "ReqObtenerCPP", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/clientePrevisional/obtenerCPP-v1")
        ar.com.supervielle.xsd.integracion.clienteprevisional.obtenercpp_v1.ReqObtenerCPP entrada,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespObtenerCPP", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/clientePrevisional/obtenerCPP-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.clienteprevisional.obtenercpp_v1.RespObtenerCPP> salida
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/clientePrevisional-v1/consultatransacciones")
    public void consultaTransacciones(
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "entrada", name = "ReqConsultaTransacciones", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/transacciones/consultatransacciones-v1")
        ar.com.supervielle.xsd.integracion.transacciones.consultatransacciones_v1.ReqConsultaTransacciones entrada,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaTransacciones", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/transacciones/consultatransacciones-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.transacciones.consultatransacciones_v1.RespConsultaTransacciones> salida
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/clientePrevisional-v1/cambioEstadoCPP")
    public void cambioEstadoCPP(
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "entrada", name = "ReqCambioEstadoCPP", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/clientePrevisional/cambioEstadoCPP-v1")
        ar.com.supervielle.xsd.integracion.clienteprevisional.cambioestadocpp_v1.ReqCambioEstadoCPP entrada,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespCambioEstadoCPP", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/clientePrevisional/cambioEstadoCPP-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.clienteprevisional.cambioestadocpp_v1.RespCambioEstadoCPP> salida
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/clientePrevisional-v1/consultaFechaCobro")
    public void consultaFechaCobro(
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "entrada", name = "ReqConsultaFechaCobro", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/clientePrevisional/consultaFechaCobro-v1")
        ar.com.supervielle.xsd.integracion.clienteprevisional.consultafechacobro_v1.ReqConsultaFechaCobro entrada,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaFechaCobro", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/clientePrevisional/consultaFechaCobro-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.clienteprevisional.consultafechacobro_v1.RespConsultaFechaCobro> salida
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/clientePrevisional-v1/consultaBeneficios")
    public void consultaBeneficios(
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "entrada", name = "ReqConsultaBeneficios", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/clientePrevisional/consultaBeneficios-v1")
        ar.com.supervielle.xsd.integracion.clienteprevisional.consultabeneficios_v1.ReqConsultaBeneficios entrada,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespConsultaBeneficios", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/clientePrevisional/consultaBeneficios-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.clienteprevisional.consultabeneficios_v1.RespConsultaBeneficios> salida
    ) throws FaultMessage;

    @WebMethod(action = "http://www.supervielle.com.ar/wsdl/servicios/integracion/clientePrevisional-v1/desbloqueoCuenta")
    public void desbloqueoCuenta(
        @WebParam(partName = "header", name = "soapHeaderReq", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderReq header,
        @WebParam(partName = "entrada", name = "ReqDesbloqueoCuenta", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/clientePrevisional/desbloqueoCuenta-v1")
        ar.com.supervielle.xsd.integracion.clienteprevisional.desbloqueocuenta_v1.ReqDesbloqueoCuenta entrada,
        @WebParam(partName = "header", mode = WebParam.Mode.OUT, name = "soapHeaderRes", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/Header-v1", header = true)
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.header_v1.SoapHeaderRes> header1,
        @WebParam(partName = "salida", mode = WebParam.Mode.OUT, name = "RespDesbloqueoCuenta", targetNamespace = "http://www.supervielle.com.ar/xsd/Integracion/clientePrevisional/desbloqueoCuenta-v1")
        javax.xml.ws.Holder<ar.com.supervielle.xsd.integracion.clienteprevisional.desbloqueocuenta_v1.RespDesbloqueoCuenta> salida
    ) throws FaultMessage;
}
